INTERFACE
SUBROUTINE EXTRAPTL( PROFIN, PROFOUT, P_G_PROFIN, P_G_PROFOUT, KNPF )
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), PARAMETER :: JPLEV =43
INTEGER(KIND=JPIM), PARAMETER :: JPMOTOP =8
INTEGER(KIND=JPIM), PARAMETER :: JPMOLEV =43-JPMOTOP+1
INTEGER(KIND=JPIM),INTENT(IN) :: KNPF
REAL(KIND=JPRB) ,INTENT(IN) :: PROFIN(KNPF,JPMOLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PROFOUT(KNPF,JPLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: P_G_PROFIN(KNPF,JPMOLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_G_PROFOUT(KNPF,JPLEV)
INTEGER(KIND=JPIM), PARAMETER :: JPXTLVIN =18
INTEGER(KIND=JPIM), PARAMETER :: JPXTLVOU =7
INTEGER(KIND=JPIM), PARAMETER :: JPXTOUMX =9
INTEGER(KIND=JPIM), PARAMETER :: I_MLVXTIN(1:JPXTLVIN)=&
 & (/10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27/) 
END SUBROUTINE EXTRAPTL
END INTERFACE
